## wagon tools-1.0.2

=== Makefile ===
PYPI_USER=lologibus2

clean:
	@rm -fr dist
	@rm -fr build 
	@rm -fr wagon_tools-*.dist-info
	@rm -fr wagon_tools.egg-info
	@rm -fr wagon_tools/version.txt
	@find . -name \*.pyc -o -name \*.pyo -o -name __pycache__ -exec rm -rf {} +

install:
	@pip install . -U

test:
	@python setup.py test -q

uninstal:
	@python setup.py install --record files.txt
	@cat files.txt | xargs rm -rf
	@rm -f files.txt

python_count_lines:
	@find ./ble -name '*.py' -exec  wc -l {} \; | sort -n| awk \
        '{printf "%4s %s\n", $$1, $$2}{s+=$$0}END{print s}'
	@echo ''
	@find ./tests -name '*.py' -exec  wc -l {} \; | sort -n| awk \
        '{printf "%4s %s\n", $$1, $$2}{s+=$$0}END{print s}'
	@echo ''



test_make_pkg:
	( \
	rm -fr /tmp/ttt; cd /tmp;\
	stkr-make-package ttt -d TTT;\
	cd ttt;\
	make check_code clean install test;\
	make ftest;\
	make wheel;\
	cd /tmp;\
	ttt-run;\
	)
	@echo '#########################################'
	@echo 'test_make_pkg made'


build:
	@python setup.py sdist bdist_wheel

pypi_test:
	@twine upload -r testpypi dist/* -u lologibus2

pypi:
	@twine upload dist/* -u lologibus2

=== requirements.txt ===
pip>=9
setuptools>=26
wheel>=0.29
setuptools_scm
future
pandas
python-gitlab

=== wagon_tools/data/skeleton/Makefile ===
clean:
	@rm -f */version.txt
	@rm -f .coverage
	@rm -fr */__pycache__
	@rm -fr __pycache__
	@rm -fr build
	@rm -fr dist
	@rm -fr proj-*.dist-info
	@rm -fr proj.egg-info
	@rm -fr */*.pyc

all: clean install test check_code

install:
	@pip install . -U

install_requirements:
	@pip install -r requirements.txt

check_code:
	@flake8 scripts/* proj/*.py

test:
	@coverage run -m unittest tests/*.py
	@coverage report -m --omit=$(VIRTUAL_ENV)/lib/python*

ftest:
	@Write me

uninstal:
	@python setup.py install --record files.txt
	@cat files.txt | xargs rm -rf
	@rm -f files.txt

count_lines:
	@find ./ -name '*.py' -exec  wc -l {} \; | sort -n| awk \
        '{printf "%4s %s\n", $$1, $$2}{s+=$$0}END{print s}'
	@echo ''
	@find ./scripts -name '*-*' -exec  wc -l {} \; | sort -n| awk \
		        '{printf "%4s %s\n", $$1, $$2}{s+=$$0}END{print s}'
	@echo ''
	@find ./tests -name '*.py' -exec  wc -l {} \; | sort -n| awk \
        '{printf "%4s %s\n", $$1, $$2}{s+=$$0}END{print s}'
	@echo ''

=== wagon_tools/data/skeleton/requirements.txt ===
pip>=9
setuptools>=26
wheel>=0.29
pandas
coverage
flake8
yapf
python-gitlab
twine

## wagon 1.0.0

=== debian/changelog ===
wagon (1.0.0-7) unstable; urgency=medium

  * Team upload.
  * Ignore the dependency on wagon-provider-test (Closes: #797264)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Sep 2015 14:06:48 +0200

wagon (1.0.0-6) unstable; urgency=medium

  * No longer build and install the unused wagon-scm, wagon-provider-test,
    wagon-ssh-common-test and wagon-tck-http modules to reduce the
    dependencies of libwagon-java.
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Aug 2015 18:40:07 +0200

wagon (1.0.0-5) unstable; urgency=medium

  * Added a patch to ensure the compatibility with Easymock 3.x
    (Closes: #718872)
  * Disabled the unit tests (LightweightHttpWagonTest hangs randomly)
  * Switch to debhelper level 9
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Don't mention the disabled WebDAV support in the package description
      (Closes: #644926)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 13 Mar 2014 16:47:25 +0100

wagon (1.0.0-4) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Team upload.
  * Fix FTBFS with latest switch to java7 (Closes: #717280):
    - d/patches/0004-fix-tests-parrallel-run.diff: Provide a different
      port each running test.
    - d/patches/0003-do-not-run-https-tests.patch: Skip HTTPS tests
      for now.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 25 Aug 2013 23:22:18 +0200

wagon (1.0.0-3) unstable; urgency=low

  * debian/watch: Updated to match only 1.x versions
  * Updated Standards-Version to 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 May 2013 00:29:48 +0200

wagon (1.0.0-2) unstable; urgency=low

  * Team upload.
  * Drop Michael Koch from Uploaders. (Closes: #654138).
  * Add Build-Depends libjaxen-java to build depends to fix FTBFS, otherwise
    buildd was trying to download it. Thanks to Michael Terry for patch!
    (Closes: #649609).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * d/control: Remove duplicate Homepage fields.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 09 Jan 2012 22:33:51 +0100

wagon (1.0.0-1) unstable; urgency=low

  [ Michael Koch ]
  * Added myself to Uploaders.
  * Build-Depends on debhelper (>= 7).

  [ Torsten Werner ]
  * New upstream release 1.0. We use 1.0.0 to fake a newer version compared to
    1.0-beta-*.
  * Add Build-Depends: libjsoup-java and libcommons-io-java.
  * Change debian/watch to allow download of version 1.0.
  * Switch to source format 3.0.
  * Remove Paul from Uploaders list.
  * Update Standards-Version: 3.9.1.
  * Use Maven to build the package. Switch to Build-Depends: default-jdk-doc.
    (Closes: #567294)
  * Add missing Build-Depends: subversion.

 -- Torsten Werner <twerner@debian.org>  Sat, 03 Sep 2011 11:58:13 +0200

wagon (1.0-beta-6-2) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 23:53:07 +0200

wagon (1.0-beta-6-1) experimental; urgency=low

  * New upstream version
  * Bump up Standards-Version to 3.8.2
  * Remove junit and wagon-provider-test dependency from Maven descriptor
  * Move api documentation to /usr/share/doc/libwagon-java/api

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 25 Jul 2009 18:43:01 +0100

wagon (1.0-beta-5-1) experimental; urgency=low

  * New upstream version (Closes: #531444)
  * Add myself to Uploaders
  * Bump up Standards-Version to 3.8.1
  * Add the Maven POM to the package (Closes: #511870)
  * Add a Build-Depends-Indep dependency on maven-repo-helper and 
    maven-ant-helper, use quilt to patch one of the POM files.
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Use mh_mavenrepo to generate the update scripts for the Debian parent POM
  * Update watch, orig-tar.sh and the get-orig-sources in debian/rules to use
    SVN tags
  * Remove the patch as it doesn't apply anymore
  * Update the dependency list: remove libcommons-openpgp-java, 
    libcommons-openpgp-java-doc, libganymed-ssh2-java, libjtidy-java, 
    libjtidy-java-doc, libslide-webdavclient-java,
    libplexus-classworlds-java, libplexus-component-api-java
  * Add a dependency on libmaven-scm-java, libnekohtml-java
  * Update debian/build.xml to use build.xml from maven-ant-helper,
    making the build more modular.
  * Renamed wagon.docbase to libwagon-java-doc.docbase to fix documentation

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 06 Jul 2009 23:19:57 +0100

wagon (1.0-beta-2-4) unstable; urgency=low

  * Add missing Depends: ${misc:Depends}.
  * Change Section: java.
  * Fix typo: transferring.
  * Switch to default-jdk. (Closes: #526302)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Jul 2009 23:27:22 +0200

wagon (1.0-beta-2-3) experimental; urgency=low

  [ Michael Koch ]
  * Added watch file.

  [ Torsten Werner ]
  * Add missing jars.
  * Update control file.
  * Add myself to Uploaders.
  * Add Vcs-* headers.
  * Bump up Standards-Version: 3.8.0.
  * Do no longer quote the full text of the Apache license.

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Nov 2008 12:27:19 +0100

wagon (1.0-beta-2-2) unstable; urgency=low

  * libwagon-java: Fixed missing package
    org.apache.maven.wagon.providers.ssh.knownhost (Closes: #449188)
  * Added new control field "Homepage"

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 04 Nov 2007 11:03:16 +0000

wagon (1.0-beta-2-1) unstable; urgency=low

  * Initial release. (Closes: #413518)

 -- Paul Cager <paul-debian@home.paulcager.org>  Mon, 30 Apr 2007 11:40:01 +0100

=== debian/control ===
Source: wagon
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Ludovic Claude <ludovic.claude@laposte.net>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: cdbs, debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4)
Build-Depends-Indep: default-jdk-doc,
                     junit (>= 3.8.1),
                     libcommons-codec-java,
                     libcommons-codec-java-doc,
                     libcommons-httpclient-java,
                     libcommons-io-java,
                     libcommons-logging-java,
                     libcommons-logging-java-doc,
                     libcommons-net2-java,
                     libcommons-net2-java-doc,
                     libeasymock-java (>= 3.2),
                     libjaxen-java,
                     libjetty-java,
                     libjetty-java-doc,
                     libjsch-java,
                     libjsoup-java,
                     libmaven-enforcer-plugin-java,
                     libmaven-javadoc-plugin-java,
                     libplexus-container-default-java,
                     libplexus-container-default-java-doc,
                     libplexus-containers-java,
                     libplexus-containers-java-doc,
                     libplexus-interactivity-api-java,
                     libplexus-interactivity-api-java-doc,
                     libplexus-maven-plugin-java,
                     libplexus-utils-java,
                     libplexus-utils-java-doc,
                     subversion
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/wagon.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/wagon.git
Homepage: http://maven.apache.org/wagon/

Package: libwagon-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Suggests: libwagon-java-doc
Description: tools to manage Maven artifacts and deployment
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 .
 It is also used to deploy the Maven generated site to a server.
 .
 This package contains the following Jars:
 .
  wagon-file
    Implementation of Wagon provider for File system access.
  wagon-ftp
    Implementation of Wagon provider for FTP access.
  wagon-http
    Implementation of Wagon provider for HTTP access.
  wagon-http-lightweight
    Implementation of Wagon provider for HTTP access. It uses standard
    JDK classes as lower lever layer.
    It enables Maven to use remote repositories stored in HTTP servers.
    It doesn't allow deployment.
  wagon-http-shared
    This package is a shared Library for the wagon-http, and
    wagon-http-lightweight wagon providers
  wagon-ssh
    Implementation of Wagon provider for SCP and SFTP access.
    It enables Maven to deploy artifacts and sites to SSH servers. It
    uses JSch (Java Secure Channel) as lower level layer.
  wagon-ssh-common
    Implementation of Wagon provider for SCP and SFTP access. It
    enables Maven to deploy artifacts and sites to SSH servers.
    Getting files from SSH servers is not fully tested.
  wagon-ssh-external
    Implementation of Wagon provider for SSH servers access. It
    enables Maven to deploy artifacts and sites to SSH servers.
    It uses an external SSH program that has to be already installed
    in the system. Getting files from SSH servers is not fully tested.

Package: libwagon-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libwagon-java
Description: tools to manage Maven artifacts and deployment - documentation
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 .
 It is also used to deploy the Maven generated site to a server.
 .
 This package contains the JavaDocs for libwagon-java.

=== debian/watch ===
version=3
opts=uversionmangle=s/^1\.0$/1.0.0/ \
  http://svn.apache.org/repos/asf/maven/wagon/tags/ \
  wagon-(1\.\d.*)/ debian debian/orig-tar.sh

## wagon 3.0.0

=== debian/changelog ===
wagon (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Split libwagon-java into smaller packages
  * Build again the wagon-ssh-* modules
  * Removed the unused build dependencies: libjaxen-java,
    libcommons-logging-java, libplexus-maven-plugin-java
    and libmaven-install-plugin-java
  * Added an explicit dependency on libplexus-classworlds-java
    (used by wagon-tck-http)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Nov 2017 01:29:11 +0100

wagon (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * Renamed the package to wagon
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Nov 2017 13:43:52 +0100

wagon2 (2.12-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure caused by the maven-parent update
  * Depend on libplexus-classworlds2-java instead of libplexus-classworlds-java
  * Depend on libplexus-utils2-java instead of libplexus-utils-java
  * Depend on libplexus-container-default1.5-java instead of
    libplexus-containers-java and libplexus-container-default-java
    (Closes: #855959)
  * Removed the unused dependencies on libbcprov-java and libnekohtml-java
  * Build depend on junit4 instead of junit (Closes: #869004)
  * Removed the unused doc dependencies
  * Standards-Version updated to 4.0.0
  * Simplified the Maven rules

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Aug 2017 12:53:27 +0200

wagon2 (2.12-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 15:41:41 +0200

wagon2 (2.12-1) experimental; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #861545)
  * Update debian/watch and use Files-Excluded in debian/copyright.
    Drop debian/orig-tar.sh and debian/orig-tar.exclude.
  * Refresh patches for 2.12 release.
    - Drop add_explicit_log4j patch
    - Add updated-jetty-compatibility.patch (reworked jetty-compatibility)
    - Refresh for change in source line-endings.
  * Add build-dep on libservlet3.1-java
  * Drop unneeded build-dep on subversion
  * Rewrite aggregate:jetty-all -> jetty:jetty-webapp in maven.rules
  * Drop geronimo servlet-spec api from maven.rules
  * Drop log4j from maven.rules
  * Map javax.servlet-api to version 3.1 in maven.rules.

 -- tony mancill <tmancill@debian.org>  Sun, 07 May 2017 10:35:42 -0700

wagon2 (2.10-6) unstable; urgency=medium

  * Team upload.
  * Transition to Jetty 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Oct 2016 10:21:10 +0200

wagon2 (2.10-5) unstable; urgency=medium

  * Team upload.
  * Skip the tests. (Closes: #837022)
  * Use compat level 10.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Sep 2016 21:12:54 +0200

wagon2 (2.10-4) unstable; urgency=medium

  * Team upload.
  * Transition to Jetty 8
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 May 2016 18:23:36 +0200

wagon2 (2.10-3) unstable; urgency=medium

  * Team upload.
  * Build depend on libplexus-containers1.5-java
    instead of libplexus-component-metadata-java
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 21:32:55 +0100

wagon2 (2.10-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Maven 3
  * Build with the DH sequencer instead of CDBS
  * Refreshed debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Dec 2015 14:00:00 +0100

wagon2 (2.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Depend on libcommons-net-java instead of libcommons-net2-java
    (Closes: #800763)
  * No longer build wagon-webdav-jackrabbit (never used in Debian)
    (Closes: #800996)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 Nov 2015 09:46:06 +0100

wagon2 (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the build dependency on libmaven-enforcer-plugin-java
  * No longer build and install the unused wagon-scm and wagon-ssh modules
    to reduce the dependencies of libwagon2-java.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Sep 2015 23:46:43 +0200

wagon2 (2.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Updated Standards-Version to 3.9.6 (no changes)
  * Updated no_itcould_webdav.diff patch.

 -- Eugene Zhukov <jevgeni.zh@gmail.com>  Fri, 10 Oct 2014 07:17:42 +0000

wagon2 (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable test accessing the network (Eugene Zhukov). Closes: #761171.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 13:27:03 +0200

wagon2 (2.6-1) unstable; urgency=medium

  * New upstream releases (Closes: #718869)
    - Refreshed the patches
    - New dependencies on libhttpclient-java and libjsch-agent-proxy-java
    - Build depend on libeasymock-java (>= 3.2)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 14 Mar 2014 17:05:17 +0100

wagon2 (2.5-1) unstable; urgency=low

  * New upstream release
    - Refreshed the patches
    - Removed the wagon-providers/wagon-http-shared4 module
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.5 (no changes)
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Oct 2013 22:30:07 +0100

wagon2 (2.4-1) unstable; urgency=low

  * New upstream release
    - Removed the patch for CVE-2013-0253 fixed in version 2.4
    - Refreshed the patches
    - Added the required build dependency on libplexus-component-metadata-java
    - Added Maven rules to ignore bnd and plexus-maven-plugin
    - Added a patch to fix a type cast issue in ScmWagon.java
  * Fix the watch file to report the most recent versions
  * Use the upstream tarball instead of a svn tag to fetch the orig source
  * debian/copyright: Fixed a typo in the Format URI



=== debian/control ===
Source: wagon
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Damien Raude-Morvan <drazzib@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 junit4,
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-net-java,
 libeasymock-java (>= 3.2),
 libhttpclient-java (>= 4.3.1),
 libjetty9-extra-java,
 libjetty9-java,
 libjsch-agent-proxy-java,
 libjsch-java,
 libjsoup-java,
 libmaven-scm-java,
 libmaven-shade-plugin-java,
 libplexus-classworlds-java (>= 2.5),
 libplexus-component-metadata-java,
 libplexus-container-default1.5-java,
 libplexus-interactivity-api-java,
 libplexus-utils2-java,
 libservlet3.1-java,
 maven-debian-helper
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/wagon.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wagon.git
Homepage: http://maven.apache.org/wagon/

Package: libwagon-java
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 libwagon-provider-api-java (>= ${source:Version}),
 libwagon-file-java (>= ${source:Version}),
 libwagon-ftp-java (>= ${source:Version}),
 libwagon-http-java (>= ${source:Version}),
 libwagon-http-shaded-java (>= ${source:Version})
Description: Artifact transport abstraction used in Maven (transitional package)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV

Package: libwagon-provider-api-java
Architecture: all
Depends: ${misc:Depends}, libplexus-utils2-java
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Description: Artifact transport abstraction used in Maven (Provider API)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-provider-api library.

Package: libwagon-file-java
Architecture: all
Depends: ${misc:Depends}, libslf4j-java, libwagon-provider-api-java (>= ${source:Version})
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Description: Artifact transport abstraction used in Maven (file provider)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-file library.

Package: libwagon-ftp-java
Architecture: all
Depends:
 ${misc:Depends},
 libcommons-io-java,
 libcommons-net-java,
 libslf4j-java,
 libwagon-provider-api-java (>= ${source:Version})
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Description: Artifact transport abstraction used in Maven (FTP provider)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-ftp library.

Package: libwagon-http-java
Architecture: all
Depends:
 ${misc:Depends},
 libcommons-io-java,
 libhttpcore-java,
 libhttpclient-java,
 libjsoup-java,
 libslf4j-java,
 libwagon-provider-api-java (>= ${source:Version})
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Description: Artifact transport abstraction used in Maven (HTTP providers)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-http-* libraries.

Package: libwagon-http-shaded-java
Architecture: all
Depends: ${misc:Depends}
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Built-Using:
 commons-io (= ${commons-io:Version}),
 httpcomponents-core (= ${httpcore:Version}),
 httpcomponents-client (= ${httpclient:Version}),
 jsoup (= ${jsoup:Version}),
 libcommons-codec-java (= ${commons-codec:Version})
Description: Artifact transport abstraction used in Maven (HTTP providers with dependencies)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-http-shaded artifact.

Package: libwagon-ssh-java
Architecture: all
Depends:
 ${misc:Depends},
 libjsch-agent-proxy-java,
 libjsch-java,
 libplexus-interactivity-api-java,
 libslf4j-java,
 libwagon-provider-api-java (>= ${source:Version})
Breaks: libwagon-java (<< 3.0.0-2~)
Replaces: libwagon-java (<< 3.0.0-2~)
Description: Artifact transport abstraction used in Maven (SSH providers)
 The Wagon project defines a simple API for transferring resources
 (artifacts) to and from repositories. The word repository is used in this
 context as it is commonly used in Maven and means a storage of artifacts.
 It is also used to deploy the Maven generated site to a server.
 .
 Wagon defines a unified API, and it currently has the following providers:
  * File
  * HTTP
  * HTTP lightweight
  * FTP
  * SSH/SCP
  * WebDAV
 .
 This package contains the wagon-ssh-* libraries.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	-mkdir -p $(CURDIR)/wagon-providers/wagon-scm/target/test-classes/
	-svnadmin create $(CURDIR)/wagon-providers/wagon-scm/target/test-classes/test-repo-svn
	dh_auto_build

override_dh_auto_clean:
	-rm -Rf $(CURDIR)/wagon-providers/wagon-scm/target/test-classes/test-repo-svn
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	mh_installjar -plibwagon-http-shaded-java --java-lib --usj-name=wagon-http-shaded --classifier=shaded wagon-providers/wagon-http/pom.xml wagon-providers/wagon-http/target/wagon-http-*-shaded.jar

override_dh_gencontrol:
	dh_gencontrol -- -Vhttpcore:Version=$(shell dpkg-query -f '$${source:Version}' --show libhttpcore-java) \
	                 -Vhttpclient:Version=$(shell dpkg-query -f '$${source:Version}' --show libhttpclient-java) \
	                 -Vcommons-codec:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-codec-java) \
	                 -Vcommons-io:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-io-java) \
	                 -Vjsoup:Version=$(shell dpkg-query -f '$${source:Version}' --show libjsoup-java ) \

get-orig-source:
	uscan --download-current-version --force-download --no-symlink --repack

## wagon 3.1.0

=== debian/changelog ===
wagon (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Ensure the Java 8 compatibility when built with Java 9 or later
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889397)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 15:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Damien Raude-Morvan <drazzib@debian.org>,
- Emmanuel Bourg <ebourg@apache.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
  junit4,
  libcommons-codec-java,
@@ -28,9 +26,9 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/wagon.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wagon.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/wagon.git
+Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
 
 Package: libwagon-java

## wagon 3.2.0

=== debian/changelog ===
wagon (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Jetty 9.4

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 10 Dec 2018 18:48:06 +0100

wagon (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Generate Java 7 compatible bytecode
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 10:32:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libcommons-net-java,
  libeasymock-java (>= 3.2),
  libhttpclient-java (>= 4.3.1),
- libjetty9-extra-java,
- libjetty9-java,
+ libjetty9-extra-java (>= 9.4),
+ libjetty9-java (>= 9.4),
  libjsch-agent-proxy-java,
  libjsch-java,
  libjsoup-java,
@@ -26,7 +26,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/

## wagon 3.3.1

=== debian/changelog ===
wagon (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with libhttpcore-java (>= 4.4.11-1~) to restore the compatibility
    with Java 7 (Closes: #922347)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Feb 2019 00:00:24 +0100

wagon (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Rebuild with libhttpclient-java (>= 4.5.6-2~) to restore the compatibility
    with Java 8 (Closes: #918772)
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Jan 2019 23:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  libcommons-io-java,
  libcommons-net-java,
  libeasymock-java (>= 3.2),
- libhttpclient-java (>= 4.3.1),
+ libhttpcore-java (>= 4.4.11-1~),
+ libhttpclient-java (>= 4.5.6-2~),
  libjetty9-extra-java (>= 9.4),
  libjetty9-java (>= 9.4),
  libjsch-agent-proxy-java,
@@ -26,7 +27,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/

## wagon 3.3.3

=== debian/changelog ===
wagon (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 22:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/

## wagon 3.3.4

=== debian/changelog ===
wagon (3.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2020 17:40:37 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libplexus-utils2-java,
  libservlet3.1-java,
  maven-debian-helper
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export JAVA_HOME := /usr/lib/jvm/default-java
 
 %:
-	dh $@ --buildsystem=maven
+	dh $@
 
 override_dh_auto_build:
 	-mkdir -p $(CURDIR)/wagon-providers/wagon-scm/target/test-classes/
@@ -24,6 +24,3 @@
 	                 -Vcommons-codec:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-codec-java) \
 	                 -Vcommons-io:Version=$(shell dpkg-query -f '$${source:Version}' --show libcommons-io-java) \
 	                 -Vjsoup:Version=$(shell dpkg-query -f '$${source:Version}' --show libjsoup-java ) \
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink --repack

=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/-(alpha|beta|M)-/~$1/" \
https://github.com/apache/maven-wagon/tags .*/wagon-([\d\.]+).tar.gz

## wagon 3.5.2

=== debian/changelog ===
wagon (3.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Depend on libservlet-api-java instead of libservlet3.1-java
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Dec 2022 16:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,9 @@
  libplexus-container-default1.5-java,
  libplexus-interactivity-api-java,
  libplexus-utils2-java,
- libservlet3.1-java,
+ libservlet-api-java,
  maven-debian-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/

## wagon 3.5.3

=== debian/changelog ===
wagon (3.5.3-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:00:17 +0200

wagon (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Set the target release to Java 8 (Closes: #1027558)
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Jan 2023 14:43:37 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libplexus-utils2-java,
  libservlet-api-java,
  maven-debian-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/wagon.git
 Vcs-Browser: https://salsa.debian.org/java-team/wagon
 Homepage: http://maven.apache.org/wagon/
